<?php

declare(strict_types=1);

namespace App\SuperAdmin\Domain\Exception;

use App\SuperAdmin\Domain\Model\SuperAdmin\SuperAdminId;
use DomainException;

use function sprintf;

final class SuperAdminIntrouvableException extends DomainException
{
    public static function avecId(SuperAdminId $id): self
    {
        return new self(
            sprintf('Super Admin introuvable avec l\'id %s.', $id),
        );
    }

    public static function avecEmail(string $email): self
    {
        return new self(
            sprintf('Super Admin introuvable avec l\'email %s.', $email),
        );
    }
}
